﻿using System;

namespace HighLowNumberCSharp
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("iNetTutor.com");
            Console.WriteLine("Welcome to the High-Low Number Checker!");
            Console.WriteLine("Please enter three numbers:");

            // Read user input as strings
            string input1 = Console.ReadLine();
            string input2 = Console.ReadLine();
            string input3 = Console.ReadLine();

            // Convert the input strings to integers
            int number1, number2, number3;
            bool isNumber1Valid = int.TryParse(input1, out number1);
            bool isNumber2Valid = int.TryParse(input2, out number2);
            bool isNumber3Valid = int.TryParse(input3, out number3);

            if (isNumber1Valid && isNumber2Valid && isNumber3Valid)
            {
                int highest = Math.Max(Math.Max(number1, number2), number3);
                int lowest = Math.Min(Math.Min(number1, number2), number3);

                Console.WriteLine($"The highest number is: {highest}");
                Console.WriteLine($"The lowest number is: {lowest}");
            }
            else
            {
                Console.WriteLine("Invalid input. Please enter valid numbers.");
            }

            Console.WriteLine("Press any key to exit.");
            Console.ReadKey();
        }
    }

}